{{- if .Values.config.postgres.integration }}
{{- $name := (split "." .Values.config.postgres.integration)._1 | default "postgres" }}
{{- $namespace := (split "." (printf "%s." .Values.config.postgres.integration))._0 }}
apiVersion: integration.rock8s.com/v1beta1
kind: Plug
metadata:
  name: postgres-coturn
  labels:
    app.kubernetes.io/name: {{ template "matrix.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  epoch: {{ now | unixEpoch | quote }}
  socket:
    name: {{ $name }}
    namespace: {{ $namespace }}
  config:
    database: {{ .Values.config.postgres.coturnDatabase | quote }}
    create: '1'
    preserve: '1'
  resources:
    - when: [coupled, updated]
      do: recreate
      stringTemplate: |
        apiVersion: v1
        kind: Secret
        metadata:
          name: postgres-coturn
        type: Opaque
        data:
          database: {% .plugConfig.database | b64enc | quote %}
          hostname: {% .socketConfig.hostname | b64enc | quote %}
          password: {% .socketConfig.password | b64enc | quote %}
          postgresPassword: {% .socketConfig.password | b64enc | quote %}
          username: {% .socketConfig.username | b64enc | quote %}
          lcCollate: C
          lcCtype: C
          template: template0
{{- end }}
